<template>
  <div>
    <div class="padding full-table">
      <div class="row table-row">
        <div class="columns three">
          {{ratingRequest.num}}
        </div>
        <div class="columns three date">
          <span class="adaptive">Дата начала:</span> {{ratingRequest.date}}
        </div>
        <div class="columns three">
          <span :class="[
                  'credit-rating-history__status',
                  ratingRequest.status === 2 ? 'credit-rating-history__status_successful' : (ratingRequest.status === 0 || ratingRequest.status === 1) && 'credit-rating-history__status_processing',
                ]"
          >
            {{ratingRequest.status === 2 ? 'Готово' : (ratingRequest.status === 0 || ratingRequest.status === 1) && 'Обработка'}}
          </span>
        </div>
        <div class="columns two controls-set">
          <!--@click.prevent="$parent.$modal.show('docs-list', {creditId: ratingRequest.id})"-->
          <a :href="ratingRequest.status === 2 ? linkOnPdfDocument : ''" class="documents" :download="pdfDocumentName" :style="{visibility: ratingRequest.status === 2 ? '' : 'hidden'}">
            <span class="adaptive">Документы</span>
          </a>
          <span v-if="ratingRequest.status === 2" class="show-credit-rating" @click="showCreditRating(ratingRequest.guid)">
            <svg class="show-credit-rating__svg" viewBox="0 0 23 23">
              <use xlink:href="#eye-show"/>
            </svg>
          </span>
        </div>
      </div>
    </div>

    <div class="mobile-table loan-info white-block">
      <div class="padding">
        <div class="row">
          <div class="columns six dotted-line">
            <span class="left-block"><b style="color:#000000">Номер отчета</b></span>
            <span class="right-block">
              {{ratingRequest.num}}
            </span>
          </div>
          <div class="columns six dotted-line">
            <span class="left-block">Дата создания</span>
            <span class="right-block date" >{{ratingRequest.date}}</span>
          </div>
        </div>
        <div class="row">
          <div class="columns six dotted-line">
            <span class="left-block">Статус</span>
            <span :class="[
                  'right-block credit-rating-history__status',
                  ratingRequest.status === 2 ? 'credit-rating-history__status_successful' : (ratingRequest.status === 0 || ratingRequest.status === 1) && 'credit-rating-history__status_processing',
                ]"
            >
            {{ratingRequest.status === 2 ? 'Готово' : (ratingRequest.status === 0 || ratingRequest.status === 1) && 'Обработка'}}
          </span>
          </div>
        </div>
        <div class="row">
          <div class="columns six docs">
            <!--@click.prevent="$parent.$modal.show('docs-list', {creditId: ratingRequest.num})"-->
            <a :href="ratingRequest.status === 2 ? linkOnPdfDocument : ''" class="documents" :download="pdfDocumentName" :style="{visibility: ratingRequest.status === 2 ? '' : 'hidden'}">
              Документы
            </a>
          </div>
        </div>
      </div>
    </div>
    <hr/>
  </div>
</template>

<script>
	import dayjs from 'dayjs'
	export default {
		props: {
			ratingRequest: {
				type: Object,
				required: true
			}
		},

		computed: {
			linkOnPdfDocument() {
				return `/api/creditrating/creditrating/pdf?guid=${this.ratingRequest.guid}`;
			},
			pdfDocumentName() {
				return `Webbankir - кредитный рейтинг - ${this.ratingRequest.date}.pdf`;
            },
		},

		methods: {
			formatDate(date) {
				return dayjs(date).format('DD.MM.YYYY')
			},
			showCreditRating(guid) {
				this.$emit('showCreditRating', guid)
            },
		},
	}
</script>

<style scoped lang="scss">
  @import "static/css/mixins/main";
  @import "static/css/variables/main";

  .controls-set {
    display: flex;
    justify-content: center;
  }

  .show-credit-rating {
    width: 31px;
    height: 31px;
    padding: 4px;
    background: #f2f8ff;
    border-radius: 8px;
    margin-left: 10px;
    cursor: pointer;
  }

  .show-credit-rating__svg {
    width: 100%;
    height: 100%;
    color: #4d92e3;
  }

  .credit-rating-history__status {

  }
  .credit-rating-history__status_successful {
    color: $green !important;
  }
  .credit-rating-history__status_processing {
    color: $yellow !important;
  }
  .credit-rating-history__status_denied {
    color: $red !important;
  }

  .sub {
    font-size:12px;
    color: #6d737b;
  }

  .date {
    color: #9b9b9b !important;font-weight: normal !important;
  }

  .status-sucess {
    color: #6ec756 !important;
    background: #fff !important;
    white-space: nowrap;
    width: auto !important;

  }
  .status-deny {
    color: #f74455 !important;
    background: #fff !important;
    white-space: nowrap;
    width: auto !important;


  }
  .status-whaiting {
    color: #9b9b9b !important;
    background: #fff !important;
    white-space: nowrap;
    width: auto !important;

  }

  .docs {
    @include flex(flex, row, wrap);
    justify-content: flex-start;
    a {
      &:first-child {
        margin-right: 30px;
        margin-bottom: 20px;
      }
    }
    margin: 20px 0;
  }

  @media #{$tablet} {
    .docs {
      justify-content: space-between;
      a {
        @include font(14px);
        &:first-child {
          margin-right: 10px;
          margin-bottom: 0;
        }
      }
    }
    .content-block .loan-history .documents {
      padding-left: 38px;
    }
  }

  @media #{$mobile} {
    .docs {
      a {
        &:first-child {
          margin-right: 10px;
          margin-bottom: 20px;
        }
      }
    }
  }

  .white-block {
    margin-bottom: 20px !important;
    border: none !important;
  }
</style>
